Mixed mode assembly error occurs

Hello.
I created project for SAP bapi and executed in windows 10 PC.
However same project executed in windows 7 (VMware on Mac PC) it does not work and following error occured.


Mixed mode assembly is built against version ‘v1.x(or v2.x)’ of the runtime and cannot be loaded in the 4.0 runtime without additional configuration information.


For .Net, we can allow to use both version by setting app.config. But How to do for UIPath?

I changed all exe.config under C:\Program Files (x86)\UiPath\Studio as follows.
Then error resolved.

Original:
startup
supportedRuntime version=“v4.0” sku=".NETFramework,Version=v4.6.1" /

After change:
startup useLegacyV2RuntimeActivationPolicy=“true”
supportedRuntime version=“v4.0” sku=".NETFramework,Version=v4.6.1" /

1 Like